classification
Title: Touchpad 2 Finger scroll does not work in IDLE on Mac (But scroll wheel of external mouse does)
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.2
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: arorap, gpolo, jafo, ned.deily, roger.serwy, ronaldoussoren, taleinat, terry.reedy
Priority: normal Keywords:

Created on 2007-12-09 04:36 by arorap, last changed 2012-08-18 23:33 by ned.deily. This issue is now closed.

Messages (4)
msg63815 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2008-03-18 00:24
Assigned.
msg63899 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2008-03-18 06:35
Unassigned as I'm unlikely to work on this.

BTW. My guess guess would be that this is an issue with Tk, not IDLE.
msg168535 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-08-18 21:33
Tk support on Mac has improved greatly since 2008. Is this still a valid issue?
msg168541 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-08-18 23:33
On current OS X systems (tested on OS X 10.7.4), the 2-finger scrolling gesture scrolls IDLE text editor windows with long files, tested with current versions of ActiveTcl 8.5 and ActiveTcl 8.4.  So I think the issue can be closed.
History
Date User Action Args
2012-08-18 23:33:35ned.deilysetstatus: open -> closed

nosy: + ned.deily
messages: + msg168541

resolution: works for me
stage: needs patch -> resolved
2012-08-18 21:33:47roger.serwysetnosy: + roger.serwy
messages: + msg168535
2010-09-18 15:32:16BreamoreBoysetnosy: + terry.reedy, taleinat
stage: test needed -> needs patch

versions: + Python 3.2, - Python 3.1, Python 2.7
2009-04-26 22:11:05ajaksu2setnosy: + gpolo
versions: + Python 3.1, Python 2.7, - Python 2.5

stage: test needed
2008-03-18 06:35:50ronaldoussorensetassignee: ronaldoussoren ->
messages: + msg63899
nosy: jafo, ronaldoussoren, arorap
2008-03-18 00:24:20jafosetpriority: normal
assignee: ronaldoussoren
type: behavior -> enhancement
messages: + msg63815
nosy: + ronaldoussoren, jafo
2007-12-09 04:36:36arorapcreate